version bump, bug #203034.
authorRajiv Aaron Manglani <rajiv@gentoo.org>
Sun, 9 Mar 2008 06:03:26 +0000 (06:03 +0000)
committerRajiv Aaron Manglani <rajiv@gentoo.org>
Sun, 9 Mar 2008 06:03:26 +0000 (06:03 +0000)
Package-Manager: portage-2.1.4.4

sys-power/nut/ChangeLog
sys-power/nut/Manifest
sys-power/nut/nut-2.2.1.ebuild [new file with mode: 0644]

index 2dc5f29942afed2b7213cb2a17a49e91bd357a66..01542b42af3843af08819653baf6413a993c05c6 100644 (file)
@@ -1,6 +1,11 @@
 # ChangeLog for sys-power/nut
 # Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-power/nut/ChangeLog,v 1.51 2008/02/19 03:17:22 ranger Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-power/nut/ChangeLog,v 1.52 2008/03/09 06:03:26 rajiv Exp $
+
+*nut-2.2.1 (09 Mar 2008)
+
+  09 Mar 2008; Rajiv Aaron Manglani <rajiv@gentoo.org> +nut-2.2.1.ebuild:
+  version bump, bug #203034.
 
   19 Feb 2008; Brent Baude <ranger@gentoo.org> nut-2.2.0.ebuild:
   Marking nut-2.2.0 ~ppc64 for bug 195165
index 983d2c6b721630074b9495d5d28bb8f0bc145cfc..839e918b038022470e2eb7a50c503fae4b555251 100644 (file)
@@ -7,7 +7,9 @@ AUX upsmon.rc6 473 RMD160 6ad1ce54be6199d3399e77d008229acb2f02bc43 SHA1 bde917f0
 AUX upsstats-upsset-link-2.0.5.patch 625 RMD160 69253155db06c10ea4f8c5b0dd4c66388128323b SHA1 d0158643ebe1ec828d1f479560bb14205b767668 SHA256 d7cc3c65878628e35937d29198570ea755e5798408ed531c38d2e3999c255ff4
 DIST nut-2.0.5.tar.gz 809006 RMD160 e5f90a73932e038d3dfee8cb32faf097d99a7e0b SHA1 d2c07adeac524b8463677c756a90f2f22084f35e SHA256 5e1bfecfca528104db7025050c81258ee20620df7497ab5988ad461d951c8203
 DIST nut-2.2.0.tar.gz 1173801 RMD160 d4e0e50239ba2b020060445869b6d364a56092f4 SHA1 b8017300d41c0a7a946034cf0bdb92ad8b7367a9 SHA256 e670ff7b51a652fd61472aa5fa5a1ed4730b5411671068be456551ea46094120
+DIST nut-2.2.1.tar.gz 1192538 RMD160 5ad5e486b391bd0d1a3f6fe521043f45ee98c2e9 SHA1 a51c0aae6b94f6cf55b2719b4a499d8c31e62862 SHA256 9aad15d8cdd8694839b54342c8b4c26ddce508f6fb29ff4bee3abbe1555771f4
 EBUILD nut-2.0.5-r2.ebuild 5256 RMD160 e2cbd3290c9d0e1ce08632571e5bf0ea2e22c24f SHA1 990e4f2cbe79933edc40108740fc38bdccff377b SHA256 2e4c21ea14b154d96fa8a864e1c958e8baa5d4a7f0da6357c9a697865f916ba9
 EBUILD nut-2.2.0.ebuild 5577 RMD160 c1a91fa61e6e0c6d3bfb5a8631513b318542cc8f SHA1 140340d97127c73970da5336ac1070cae2875973 SHA256 b2061ba3705952c7c9b5ea7b724c3867c7cb49f86fc18b2247010c3465aaf37e
-MISC ChangeLog 14664 RMD160 05874ea5e35d112e3172e9303d6a63453db1248a SHA1 6cb453253ce0704d86bf453617959d1f3e32d81a SHA256 7e7870d872b057ea39e200dbb9047eb1a0847e855d2acc6404c420d7ab1be160
+EBUILD nut-2.2.1.ebuild 5569 RMD160 fbfcf12584b60691140c2581956877ca8ffa2d61 SHA1 6b3c291c1d1d432ce7dd52f4f4037270646327ec SHA256 aa22af80e07285c9c54743f6d1c519cdac4c423d018d7b643fcc79de0cdacb26
+MISC ChangeLog 14793 RMD160 f8ec2349445d1385e9e06cc9331bda1a88bee4ea SHA1 07db04a6ec7199f946196c20818c6b18a546aa87 SHA256 48745debd91fb849a73d9841c62a9e383226d4cf1890e7803c02cf59e4e28472
 MISC metadata.xml 219 RMD160 7737543ce33cd412792e332121aa1c6ed452adfc SHA1 6c360930b80d6f4168ba1a486a25ad176505ea63 SHA256 8b2ef93d0d6f03a1ad115651dc46a7752e7775a62a32a7046c3294e50b14725b
diff --git a/sys-power/nut/nut-2.2.1.ebuild b/sys-power/nut/nut-2.2.1.ebuild
new file mode 100644 (file)
index 0000000..cdf62cc
--- /dev/null
@@ -0,0 +1,198 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-power/nut/nut-2.2.1.ebuild,v 1.1 2008/03/09 06:03:26 rajiv Exp $
+
+inherit eutils fixheadtails autotools
+
+MY_P="${P/_/-}"
+
+DESCRIPTION="Network-UPS Tools"
+HOMEPAGE="http://www.networkupstools.org/"
+# Nut mirrors are presently broken
+SRC_URI="http://www.networkupstools.org/source/${PV%.*}/${MY_P}.tar.gz"
+
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~x86-fbsd"
+IUSE="cgi snmp usb ssl hal"
+
+RDEPEND="cgi? ( >=media-libs/gd-2 )
+               snmp? ( net-analyzer/net-snmp )
+               usb? ( >=dev-libs/libusb-0.1.12 )
+               hal? ( >=sys-apps/hal-0.5.9.1 )
+               ssl? ( dev-libs/openssl )
+               >=sys-fs/udev-114"
+DEPEND="$RDEPEND
+               >=sys-apps/sed-4
+               >=sys-devel/autoconf-2.58"
+
+# public files should be 644 root:root
+NUT_PUBLIC_FILES="/etc/nut/{{hosts,upsset,ups,upssched}.conf,upsstats{,-single}.html}"
+# private files should be 640 root:nut - readable by nut, writeable by root,
+NUT_PRIVATE_FILES="/etc/nut/{upsd.conf,upsd.users,upsmon.conf}"
+
+pkg_setup() {
+       if use cgi && ! built_with_use media-libs/gd png ; then
+               eerror "CGI support requested, bug GD not built with PNG support"
+               eerror "Please rebuild gd with 'USE=png'"
+               die
+       fi
+       enewgroup nut 84
+       enewuser nut 84 -1 /var/lib/nut nut,uucp
+       # As of udev-104, NUT must be in uucp and NOT in tty.
+       gpasswd -d nut tty 2>/dev/null
+       gpasswd -a nut uucp 2>/dev/null
+       use hal && gpasswd -a haldaemon nut 2>/dev/null
+       # in some cases on old systems it wasn't in the nut group either!
+       gpasswd -a nut nut 2>/dev/null
+       warningmsg ewarn
+}
+
+src_unpack() {
+       unpack ${A}
+
+       cd "${S}"
+
+       sed -e "s/install: install-dirs/install: install-dirs install-conf/" \
+               -i Makefile.in || die "sed failed"
+
+       ht_fix_file configure.in
+
+       sed -e "s:GD_LIBS.*=.*-L/usr/X11R6/lib \(.*\) -lXpm -lX11:GD_LIBS=\"\1:" \
+               -i configure.in || die "sed failed"
+
+       ebegin "Recreating configure"
+       WANT_AUTOCONF=2.5 eautoconf || die "autoconf failed"
+       eend $?
+
+       sed -e "s:52_nut-usbups.rules:70-nut-usbups.rules:" \
+               -i scripts/udev/Makefile.in || die "sed failed"
+}
+
+src_compile() {
+       local myconf
+
+       if [ -n "${NUT_DRIVERS}" ]; then
+               myconf="${myconf} --with-drivers=${NUT_DRIVERS// /,}"
+       fi
+
+       econf \
+               --with-user=nut \
+               --with-group=nut \
+               --with-drvpath=/lib/nut \
+               --sysconfdir=/etc/nut \
+               --with-logfacility=LOG_DAEMON \
+               --with-statepath=/var/lib/nut \
+               --with-htmlpath=/usr/share/nut/html \
+               --datarootdir=/usr/share/nut \
+               --datadir=/usr/share/nut \
+               --with-lib \
+               $(use_with hal) \
+               $(use_with ssl) \
+               $(use_with usb) \
+               $(use_with snmp) \
+               $(use_with cgi) \
+               $(use_with cgi cgipath /usr/share/nut/cgi) \
+               ${myconf} || die "econf failed"
+
+       emake || die "compile problem"
+
+}
+
+src_install() {
+
+       make DESTDIR="${D}" install || die "make install failed"
+
+       dodir /sbin
+       dosym /lib/nut/upsdrvctl /sbin/upsdrvctl
+       # This needs to exist for the scripts
+       dosym /lib/nut/upsdrvctl /usr/sbin/upsdrvctl
+
+       if use cgi; then
+               elog "CGI monitoring scripts are installed in /usr/share/nut/cgi."
+               elog "copy them to your web server's ScriptPath to activate (this is a"
+               elog "change from the old location)."
+               elog "If you use lighttpd, see lighttpd_nut.conf in the documentation."
+       fi
+
+       # this must be done after all of the install phases
+       for i in "${D}"/etc/nut/*.sample ; do
+               mv "${i}" "${i/.sample/}"
+       done
+
+       dodoc ChangeLog INSTALL MAINTAINERS NEWS README UPGRADING \
+                       docs/{FAQ,*.txt}
+
+       newdoc lib/README README.lib
+
+       newdoc "${FILESDIR}"/lighttpd_nut.conf-2.2.0 lighttpd_nut.conf
+
+       docinto cables
+       dodoc docs/cables/*
+
+       newinitd "${FILESDIR}"/upsd.rc6 upsd
+       newinitd "${FILESDIR}"/upsdrv.rc6-r1 upsdrv
+       newinitd "${FILESDIR}"/upsmon.rc6 upsmon
+
+       # This sets up permissions for nut to access a UPS
+       insinto /etc/udev/rules.d/
+       newins scripts/udev/nut-usbups.rules 70-nut-usbups.rules
+
+       keepdir /var/lib/nut
+
+       fperms 0700 /var/lib/nut
+       fowners nut:nut /var/lib/nut
+
+       eval fperms 0640 ${NUT_PRIVATE_FILES}
+       eval fowners root:nut ${NUT_PRIVATE_FILES}
+
+       eval fperms 0644 ${NUT_PUBLIC_FILES}
+       eval fowners root:root ${NUT_PUBLIC_FILES}
+
+       # this is installed for 2.4 and fbsd guys
+       if ! has_version sys-fs/udev; then
+               insinto /etc/hotplug/usb
+               insopts -m 755
+               doins scripts/hotplug/nut-usbups.hotplug
+       fi
+
+       if use hal; then
+               insinto /usr/share/hal/fdi/information/20thirdparty/
+               doins scripts/hal/20-ups-nut-device.fdi
+               insinto /usr/libexec
+               insopts -m 755
+               doins drivers/hald-addon-*
+           rm "${D}"/lib/nut/hald-addon-*
+       fi
+}
+
+pkg_postinst() {
+       # this is to ensure that everybody that installed old versions still has
+       # correct permissions
+
+       chown nut:nut "${ROOT}"/var/lib/nut 2>/dev/null
+       chmod 0700 "${ROOT}"/var/lib/nut 2>/dev/null
+
+       eval chown root:nut "${ROOT}"${NUT_PRIVATE_FILES} 2>/dev/null
+       eval chmod 0640 "${ROOT}"${NUT_PRIVATE_FILES} 2>/dev/null
+
+       eval chown root:root "${ROOT}"${NUT_PUBLIC_FILES} 2>/dev/null
+       eval chmod 0644 "${ROOT}"${NUT_PUBLIC_FILES} 2>/dev/null
+
+       warningmsg elog
+}
+
+warningmsg() {
+       msgfunc="$1"
+       [ -z "$msgfunc" ] && die "msgfunc not specified in call to warningmsg!"
+       ${msgfunc} "Please note that NUT now runs under the 'nut' user."
+       ${msgfunc} "NUT is in the uucp group for access to RS-232 UPS."
+       ${msgfunc} "However if you use a USB UPS you may need to look at the udev or"
+       ${msgfunc} "hotplug rules that are installed, and alter them suitably."
+       echo
+       ${msgfunc} "If you use hald, you may be able to skip the normal init scripts."
+       echo
+       ${msgfunc} "You are strongly advised to read the UPGRADING file provided by upstream."
+}